Bug 1336403 - perl-Email-Abstract-3.008-4.fc25 FTBS: t/abstractions.t test fails: Failed test 'correct stringification of Mail::Internet; same as reference object'
Summary: perl-Email-Abstract-3.008-4.fc25 FTBS: t/abstractions.t test fails: Failed te...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Email-Abstract
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/rjbs/Email-Abstrac...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 11:50 UTC by Petr Pisar
Modified: 2017-11-20 09:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 09:11:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 114382 None None None 2016-05-16 11:55:22 UTC

Description Petr Pisar 2016-05-16 11:50:22 UTC
perl-Email-Abstract-3.008-4.fc25 fails to build in F25 because tests fail:

/00-report-prereqs.t .. ok
# testing Email::MIME with 1.937
# testing Email::Simple with 2.210
# testing MIME::Entity with 5.507
# testing Mail::Internet with 2.17
#   Failed test 'correct stringification of Mail::Internet; same as reference object'
#   at t/lib/Test/EmailAbstract.pm line 74.
#          got: ''
#     expected: 'Joanna, All
# 
# Thanks. I got the following response from Fred Tydeman.
# 
# On Nov 13,  9:56am in "Re: Defect in XBD lr", Joanna Farley wrote:
# > Sun's expert in this area after some discussions with a colleague
# > outside of Sun concluded that for lround, to align with both C99 and SUS
# > changes of the following form were necessary:
# > this line of text is really long and no one need worry about it but why was such a long text chosen to begin with i mean really??
# 
# -----
# Andrew Josey                                The Open Group  
# Austin Group Chair                          Apex Plaza,Forbury Road,
# Email: a.josey@opengroup.org                Reading,Berks.RG1 1AX,England
# Tel:   +44 118 9508311 ext 2250             Fax: +44 118 9500110'
#   Failed test 'correct body length for Mail::Internet'
#   at t/lib/Test/EmailAbstract.pm line 80.
#          got: '0'
#     expected: '749'
#   Failed test 'correct stringification of Mail::Internet; same as reference object'
#   at t/lib/Test/EmailAbstract.pm line 74.
#          got: ''
#     expected: 'Joanna, All
# 
# Thanks. I got the following response from Fred Tydeman.
# 
# On Nov 13,  9:56am in "Re: Defect in XBD lr", Joanna Farley wrote:
# > Sun's expert in this area after some discussions with a colleague
# > outside of Sun concluded that for lround, to align with both C99 and SUS
# > changes of the following form were necessary:
# > this line of text is really long and no one need worry about it but why was such a long text chosen to begin with i mean really??
# 
# -----
# Andrew Josey                                The Open Group  
# Austin Group Chair                          Apex Plaza,Forbury Road,
# Email: a.josey@opengroup.org                Reading,Berks.RG1 1AX,England
# Tel:   +44 118 9508311 ext 2250             Fax: +44 118 9500110'
#   Failed test 'correct body length for Mail::Internet'
#   at t/lib/Test/EmailAbstract.pm line 80.
#          got: '0'
#     expected: '749'
#   Failed test 'correct stringification of Mail::Internet; same as reference object'
#   at t/lib/Test/EmailAbstract.pm line 74.
#          got: ''
#     expected: 'Joanna, All
# 
# Thanks. I got the following response from Fred Tydeman.
# 
# On Nov 13,  9:56am in "Re: Defect in XBD lr", Joanna Farley wrote:
# > Sun's expert in this area after some discussions with a colleague
# > outside of Sun concluded that for lround, to align with both C99 and SUS
# > changes of the following form were necessary:
# > this line of text is really long and no one need worry about it but why was such a long text chosen to begin with i mean really??
# 
# -----
# Andrew Josey                                The Open Group  
# Austin Group Chair                          Apex Plaza,Forbury Road,
# Email: a.josey@opengroup.org                Reading,Berks.RG1 1AX,England
# Tel:   +44 118 9508311 ext 2250             Fax: +44 118 9500110'
#   Failed test 'correct body length for Mail::Internet'
#   at t/lib/Test/EmailAbstract.pm line 80.
#          got: '0'
#     expected: '749'
# testing Mail::Message with 2.118
# testing MIME::Entity with 5.507
# testing Email::MIME with 1.937
# Looks like you failed 6 tests of 165.
t/abstractions.t ....... 
Dubious, test returned 6 (wstat 1536, 0x600)
Failed 6/165 subtests 

This is caused by upgrading perl-MailTools from 2.16-1.fc25 to 2.17-1.fc25.

Comment 1 Jan Kurik 2016-07-26 05:07:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 18:55:06 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Petr Pisar 2017-11-20 09:11:34 UTC
This seems to be fixed in perl-MailTools-2.18.


Note You need to log in before you can comment on or make changes to this bug.